
object={}
objets={}

img_obj={}
img_obj[1]=Image.load("jetons/1.png")
img_obj[2]=Image.load("jetons/2.png")
img_obj[3]=Image.load("jetons/3.png")
img_obj[4]=Image.load("jetons/4.png")

large=img_obj[1]:width()/6
haue=img_obj[1]:height()
jeton = {}--2
jeton[1] = {xs=large*1, y=0, lg=large, h=haue, n=5}
jeton[2] = {xs=large*2, y=0, lg=large, h=haue, n=5}
jeton[3] = {xs=large*3, y=0, lg=large, h=haue, n=5}
jeton[4] = {xs=large*4, y=0, lg=large, h=haue, n=5}
jeton[5] = {xs=large*5, y=0, lg=large, h=haue, n=5}


function object:create(x1,y1,type3)
objets[table.getn(objets)+1]={x=x1,y=y1,etat=true,aff=type3}
end
compteur_anime=1
function object:anime(x,y,image,tablee)
ecran:blit(x+scrolling,y,image,tablee[compteur_anime].xs, tablee[compteur_anime].y, tablee[compteur_anime].lg, tablee[compteur_anime].h)
compteur_anime = compteur_anime + 1
if compteur_anime > tablee[1].n then
compteur_anime = 1
end
end

function object:play()
     for i=1,table.getn(objets) do
      
	  
	  
	  if objets[i].etat then
	      object:anime(objets[i].x,objets[i].y,img_obj[objets[i].aff],jeton)
	     if (objets[i].x)>(player.x) and (objets[i].x)<(player.x+larg) and (objets[i].y)>(player.y) and (objets[i].y)<(player.y+hau) then 
		     objets[i].etat=false
			 if objets[i].aff==1 then
			      nb_jeton_j=nb_jeton_j+1
				  run_plus_anim(1)
			 elseif objets[i].aff==2 then
			     balle_nb=balle_nb+1
				 run_plus_anim(2)
		     elseif objets[i].aff==3 then
			     player.health=player.health-10
			 end
         end
		 end
     end



end

plus1=Image.load("game/1jaune.png")
plus2=Image.load("game/1bleu.png")
compteur_plus=1
etat_plus_p=0

function run_plus_anim(ff)
etat_plus_p=ff
end

function plus_player()
if etat_plus_p~=0 then
if etat_plus_p==1 then
ecran:blit(player.x,player.y-8-compteur_plus,plus1)
else
ecran:blit(player.x,player.y-8-compteur_plus,plus2)
end

compteur_plus=compteur_plus+1
if compteur_plus>=8 then
compteur_plus=1
etat_plus_p=0
end

end
end

monstre={}
monstre={}
monstre_={}
img_monstre={}
img_monstre[1]=Image.load("monstre/bombe1.png")

monstre_ll=img_monstre[1]:width()/2
monstre_hh=img_monstre[1]:height()/2
monstre_droit_d = {}--2
monstre_droit_d[1] = {xs=monstre_ll*1, y=0, lg=monstre_ll, h=monstre_hh, n=2}
monstre_droit_d[2] = {xs=monstre_ll*2, y=0, lg=monstre_ll, h=monstre_hh, n=2}
monstre_gauch_d = {}--2
monstre_gauch_d[1] = {xs=monstre_ll*1, y=monstre_hh, lg=monstre_ll, h=monstre_hh, n=2}
monstre_gauch_d[2] = {xs=monstre_ll*2, y=monstre_hh, lg=monstre_ll, h=monstre_hh, n=2}

function monstre:create(x1,y1,vitesse1,l1,type1)
monstre_[table.getn(monstre_)+1]={xo=x1,x=x1,y=y1,l=l1,vitesse=vitesse1,direction=1,etat=true,aff=type1}
end

compteur_monstre=1
function monstre:anime(x,y,image2,tablee)
ecran:blit(x+scrolling,y,image2,tablee[compteur_monstre].xs, tablee[compteur_monstre].y, tablee[compteur_monstre].lg, tablee[compteur_monstre].h)
compteur_monstre = compteur_monstre + 1
if compteur_monstre > tablee[1].n then
compteur_monstre = 1
end
end

function monstre:play()
     for i=1,table.getn(monstre_) do
      
	  
	  if monstre_[i].etat then
	      if monstre_[i].direction==1 then 
		  monstre_[i].x=monstre_[i].x+monstre_[i].vitesse
	      monstre:anime(monstre_[i].x,monstre_[i].y,img_monstre[monstre_[i].aff],monstre_droit_d)
		  if monstre_[i].x>=(monstre_[i].xo+monstre_[i].l) then monstre_[i].direction=2 end
	     else
	  	  monstre_[i].x=monstre_[i].x-monstre_[i].vitesse
	      monstre:anime(monstre_[i].x,monstre_[i].y,img_monstre[monstre_[i].aff],monstre_gauch_d)
		  if monstre_[i].x<=monstre_[i].xo then monstre_[i].direction=1 end
	     end
	     if (monstre_[i].x)>(player.x) and (monstre_[i].x)<(player.x+larg) and (monstre_[i].y)>(player.y) and (monstre_[i].y)<(player.y+hau) then 
              player.health=0
         end
		 for a = 1,currentBullet do
             if BulletInfo[a].firing == true then
             if BulletInfo[a].x >=monstre_[i].x and BulletInfo[i].x <=monstre_[i].x+monstre_ll then 
			 BulletInfo[a].firing = false 
			 monstre_[i].etat=false 
			 end
             end
		 end
     end
	 end
end

